# 行为属性

### 方块村民交易

```
block_trade_machine:
  title: "你的标题"
  permission: "mypermission.trade.example"
  gui_texture:
    left: customization_table_left
    right: customization_table_right
  trades_list:
    black_fishing_rod:
      ingredients:
        slot1:
          item: FISHING_ROD
          amount: 1
        slot2:
          item: BLACK_DYE
          amount: 1
      result:
        item: black_fishing_rod
        amount: 1
    red_fishing_rod:
      ingredients:
        slot1:
          item: FISHING_ROD
          amount: 1
        slot2:
          item: RED_DYE
          amount: 1
      result:
        item: red_fishing_rod
        amount: 1
```

执行交易操作后，将会打开一个村民交易页面，这也是很多大型服务器制作的的伪自定义合成 **UI** 的来源。

* title：村民交易页面的标题。
* permission：执行该操作需要的权限，为可选选项。
* gui\_textures：村民交易页面的背景贴图，分布为左右两边，贴图的标准分辨率大小应为 **137x164**，你可以在左右适当大于这个值，这样就可以在两边做出额外装饰，为可选选项。
* trades\_list：所给示例由 `black_fishing_rod` 和 `red_fishing_rod` 两个id的村民交易组成，你也可以按此格式添加无数多的村民交易。与前文 **熔炉配方** 一节一样，`ingredients` 为输入的物品，其中 `slot1` 和 `slot2` 分别为村民交易的第一个格子和第二个格子的物品，`result` 为输出的物品。

### 方块村民交易

与上文 **村民交易** 一样，只是点击某个家具后进入，适合的场景例如自动贩卖机等。

将最开头的 `block_trade_machine` 替换为 `furniture_trade_machine` 即可。

### 家具

见前一节。

### 坐在家具上

```
furniture_sit:
  sit_height: 0.9
  opposite_direction: true 
  sit_all_solid_blocks: false
```

其中：

* sit\_height：坐上的高度，如果你的家具就1格高，该值是合适的，一般情况下几格高再减去约0.1即可。
* opposite\_direction：坐下后玩家是否固定朝家具相反方向，默认是 `true`。
* sit\_all\_solid\_blocks：如果这个家具是多格组成的，是否每一格玩家都可以坐下。

### 枪

```
gun:
  projectile: itemsadder:clip
```

其中：

* projectile：枪的轨迹材质，例如弓此处就是箭射出后空中的材质。

### 饰品

```
hat: true
```

为 `true` 后，玩家可以将其穿在头上，可以做出饰品的效果。例如天使翅膀等。

### 死亡不掉落

```
keep_on_death: true
```

### 唱片

```
music_disc:
  song:
    name: "itemsadder:music_disc.cdk_sunday"
    description: "Cdk - Sunday"
```

分布为名字和描述，名字也可以指代你在 **ItemsAdder** 设置好的某个歌曲。

### 载具

```
vehicle:
  fixed_rotation: false
  small: true
  sit_height: 0
  step_height: 0.1
  hitbox:
    length: 2
    width: 1.7
    height: 1
  speed:
    drive: 1
    jump: 0.3
    fly: 0
  fuel:
    start: 150
    max: 300
    items:
      COAL: 1
      CHARCOAL: 1
      COAL_BLOCK: 9
      "itemsadder:banana": 1
  smoke:
    amount: 2
    offset:
      x: 0
      y: 0
      z: -0.8
```

大部分与家具一致，此处只介绍不同之处：

* speed：分别是正常、跳跃和飞行时速度，**0** 代表不可这么做。
* fuel：燃料。其中，`start` 为最开始的燃料，`max` 为最大燃料数，`items` 为可以作为燃料的物品和其提供的燃料值，可以是 `namespace:id` 格式。
* smoke：尾气粒子。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/itemsadder-doc/jia-ju/xing-wei-shu-xing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
